Bug 167695 - space is inserted at the beginning of line with XIM
space is inserted at the beginning of line with XIM
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
: i18n, Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-07 05:58 EDT by Akira TAGOH
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-12 07:13:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2005-09-07 05:58:51 EDT
Description of problem:
This problem happens with any Qt applications and scim-anthy (Japanese IME).
when I run the Qt applications and type something + space with Eisu(英数) mode
(the scim panel should shows _A instead of あ when you configure it correctly),
space is inserted at the beginning of line rather than after 'something'.
This problem doesn't happen on qt-3.3.4-14. so this is an regression bug I suppose.

Version-Release number of selected component (if applicable):
qt-3.3.4-22

How reproducible:
always

Steps to Reproduce:
1.run kedit say with LANG=ja_JP.UTF-8
2.change IME to anthy and mode to 英数
3.type t e s t space
  
Actual results:
kedit shows ' test' and cursor is located at ' |test'.

Expected results:
kedit should shows 'test ' and cursor should be located at 'test |'

Additional info:
Comment 1 Ngo Than 2005-09-07 11:50:36 EDT
could you please give more infos about which packages are needed and the test 
enviroment ? Thanks 
 
Comment 2 Ngo Than 2005-09-12 07:13:17 EDT
could you please try new qt-3.3.5-1 in rawhide. please reopen it the bug still 
appear in 3.3.5. Thanks 

Note You need to log in before you can comment on or make changes to this bug.